#
# spec file for package spacewalk-remote-utils
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008-2018 Red Hat, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?fedora} || 0%{?suse_version} > 1320 || 0%{?rhel} >= 8
%global build_py3   1
%endif

Name:           spacewalk-remote-utils
Version:        4.2.1
Release:    3.15.1
Summary:        Utilities to interact with a Spacewalk server remotely.
License:        GPL-2.0-only
Group:          Applications/System

Url:            https://github.com/uyuni-project/uyuni
Source: spacewalk-remote-utils-git-0.05aed7b.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?build_py3}
BuildRequires:  python3-devel
Requires:       python3-rhnlib
%else
BuildRequires:  python-devel
Requires:       rhnlib >= 2.8.4
%endif
BuildRequires:  docbook-utils

%description
Utilities to interact with a Spacewalk server remotely over XMLRPC.

%prep
%setup -q -n spacewalk-remote-utils-git-0.05aed7b

%build
docbook2man ./spacewalk-create-channel/doc/spacewalk-create-channel.sgml -o ./spacewalk-create-channel/doc/
%if 0%{?build_py3}
    sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' ./spacewalk-create-channel/spacewalk-create-channel
    sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' ./spacewalk-add-providers/spacewalk-add-providers
%endif

%install
%{__mkdir_p} %{buildroot}/%{_bindir}
%{__install} -p -m0755 spacewalk-add-providers/spacewalk-add-providers %{buildroot}/%{_bindir}/
%{__install} -p -m0755 spacewalk-create-channel/spacewalk-create-channel %{buildroot}/%{_bindir}/

%{__mkdir_p} %{buildroot}/%{_datadir}/rhn/channel-data
%{__install} -p -m0644 spacewalk-create-channel/data/* %{buildroot}/%{_datadir}/rhn/channel-data/

%{__mkdir_p} %{buildroot}/%{_mandir}/man1
%{__gzip} -c ./spacewalk-create-channel/doc/spacewalk-create-channel.1 > %{buildroot}/%{_mandir}/man1/spacewalk-create-channel.1.gz

%files
%defattr(-,root,root,-)
%{_bindir}/spacewalk-add-providers
%{_bindir}/spacewalk-create-channel
%{_datadir}/rhn/channel-data/
%if 0%{?suse_version}
%dir %{_datadir}/rhn
%endif
%doc spacewalk-create-channel/doc/README spacewalk-create-channel/doc/COPYING
%doc %{_mandir}/man1/spacewalk-create-channel.1.gz

%changelog
* Fri Sep 18 2020 jgonzalez@suse.com
- version 4.2.1-1
- Update package version to 4.2.0
* Wed Nov 27 2019 jgonzalez@suse.com
- version 4.1.1-1
- update spacewalk-create-channel with RHEL 7.7 channel definitions
- Bump version to 4.1.0 (bsc#1154940)
- add RHEL8
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.4-1
- SPEC cleanup
* Mon Dec 17 2018 jgonzalez@suse.com
- version 4.0.3-1
- Sync changes from Spacewalk
- 1649374 - Update spacewalk-remote-utils with RHEL 7.6 channel definitions
- 1633532 - Use python-gpg instead of python-gpgme where possible
* Fri Oct 26 2018 jgonzalez@suse.com
- version 4.0.2-1
- Add Uyuni URL to package
* Fri Aug 10 2018 jgonzalez@suse.com
- version 4.0.1-1
- Bump version to 4.0.0 (bsc#1104034)
- Fix copyright for the package specfile (bsc#1103696)
- fix ordering of channel data (bsc#1083294)
- add RHEL 6.10 channel definitions
* Wed May 16 2018 jgonzalez@suse.com
- version 2.8.5.3-1
- Sync with upstream (bsc#1083294)
- 1574492 - Update spacewalk-remote-utils with RHEL 7.5 channel
  definitions
* Mon Mar  5 2018 jgonzalez@suse.com
- version 2.8.5.2-1
- remove clean section from spec (bsc#1083294)
* Fri Feb 23 2018 jgonzalez@suse.com
- version 2.8.5.1-1
- Sync with upstream
* Thu Oct 26 2017 mc@suse.de
- version 2.8.3.1-1
- update spacewalk-remote-utils with RHEL 7.4 channel definitions
- make python2/3 defs consistent with other specs
- build with python3 if needed
* Wed May  3 2017 michele.bologna@suse.com
- version 2.7.4.1-1
- Update spacewalk-remote-utils with RHEL 6.9 channel definitions
* Mon Mar  6 2017 mc@suse.de
- version 2.7.3.2-1
- Updated links to github in spec files
* Wed Jan 11 2017 michele.bologna@suse.com
- version 2.7.3.1-1
- Version bump 2.7.3-1
* Mon Nov 30 2015 mc@suse.de
- version 2.5.1.1-1
- add RHEL 7.2 channel definitions
* Wed Oct  7 2015 mc@suse.de
- version 2.5.0.1-1
- update channel definitions RHEL 6.7, 7.1
- use hostname instead of localhost for https connections
- spacewalk-create-channel added -o option to clone channel to
  current state
* Mon Jun 22 2015 jrenner@suse.de
- version 2.1.3.10-1
- update channel definitions
* Tue Feb  3 2015 mc@suse.de
- version 2.1.3.9-1
- Getting rid of Tabs and trailing spaces
* Thu Dec 18 2014 mc@suse.de
- version 2.1.3.8-1
- fix documentation of sw-create-channel Option "--name" in
  the man page.
* Thu Dec  4 2014 mc@suse.de
- version 2.1.3.7-1
- channel definitions for RHEL 6.6
- compose format has slightly changed for RHEL6.6
* Tue Oct 14 2014 mc@suse.de
- version 2.1.3.6-1
- channel definitions for RHEL 5.11
* Wed Sep  3 2014 ro@suse.de
- sanitize release line in specfile
* Mon Sep  1 2014 mc@suse.de
- version 2.1.3.5-1
- sw-create-channel 6-gold-server-x86_64 data file out-of-date
- Channel content definitions for RHEL-7.0
- recognize RHEL-7 compose structure
* Tue May 13 2014 mc@suse.de
- version 2.1.3.4-1
- include older changlog entries from 1.7 update
* Tue May  6 2014 mc@suse.de
- version 2.1.3.3-1
- Fix channel arch on the spacewalk-create-channel man page
* Thu Apr 10 2014 mc@suse.de
- version 2.1.3.2-1
* Thu Apr 10 2014 mc@suse.de
- fix release in specfile for SLE12 (bnc#872970)
* Mon Jan 13 2014 mc@suse.de
- version 2.1.3.1-1
- don't print traceback when entered incorrect credentials
* Tue Dec 10 2013 mc@suse.de
- version 2.1.2.1-1
- switch to 2.1
- Fix channel arch on the spacewalk-create-channel man page
- don't print traceback when entered incorrect credentials
- channel definitions for RHEL6.5 (bnc#871103)
- channel definitions for RHEL-5-U10 (bnc#871103)
- the RHEL 6.4 spacewalk-create-channel definitions.(bnc#871103)
- sort 6.1 and 6.2 Supplementary content
- adding missing 5-u9-server-x86_64
- adding RHEL5.9 channel definitions
- adding RHEL4.9-Extras channel definitions
- adding optional and supplementary RHEL6.3 channel definitions
- fix dir to match RHEL6 supplementary channel
- fix dir to match RHEL6 optional channel
* Fri Sep 28 2012 mc@suse.de
- version 1.7.1.4-1
- Fixing the License rpm header to match the COPYING information.
  (bnc#774341)
* Thu Aug  2 2012 mc@suse.de
- version 1.7.1.3-1
- fix and add channel definitions
* Wed May  2 2012 mc@suse.de
- version 1.7.1.2-1
- make %%if in spec file compatible with SLE10 rpm build
* Wed Mar 21 2012 mc@suse.de
- version 1.7.1.1-1
- Bumping package version
* Tue Feb  1 2011 mc@suse.de
- fix build for RH
* Sat Jan 22 2011 mc@suse.de
- fix macros
* Wed Dec 15 2010 kkaempf@novell.com
- Initial version 1.0.5
